extern "C" {
#include <sys/types.h>
#include <sys/mman.h>
}

class atomdoc {
public:
    atomdoc();
    ~atomdoc();

    inline void set_author(char *a)	{ author = a; }
    inline void set_title(char *t)	{ title = t; }
    inline void allow_comments()	{ commentok = 1; }
    int read(FILE *);
    int read(char *);

    inline int   ok()	{ return maptext != 0; }
    inline char *data()	{ return maptext; }
    inline int   size() { return mapsize; }

private:
    int   commentok;
    char *author;
    char *title;
    FILE *docfile;
    char *maptext;
    int   mapsize;

} ;
